Bug 91736 - [NEW PORT] sysutils/bacula-server-devel - Development version of network backup solution sysutils/bacula
Summary: [NEW PORT] sysutils/bacula-server-devel - Development version of network back...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-13 04:30 UTC by Dan Langille
Modified: 2006-03-15 10:24 UTC (History)
1 user (show)

See Also:


Attachments
bacula-server-devel.txt (31.42 KB, text/plain)
2006-01-13 04:30 UTC, Dan Langille
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille 2006-01-13 04:30:04 UTC
	
Bacula is a set of computer programs that permit you (or the system
administrator) to manage backup, recovery, and verification of
computer data across a network of computers of different kinds.
In technical terms, it is a network Client/Server based backup program.
Bacula is relatively easy to use and efficient, while offering many
advanced storage management features that make it easy to find and
recover lost or damaged files. Due to its modular design, Bacula is
scalable from small single computer systems to systems consisting of
hundreds of computers located over a large network.

This port is built from the development branch of Bacula.

WWW: http://www.bacula.org/
Comment 1 Renato Botelho freebsd_committer 2006-02-28 15:09:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 2 Renato Botelho freebsd_committer 2006-02-28 15:10:04 UTC
Now this version is older than sysutils/bacula-server version.
Please, send another shar file with the new port updated and i can
take care of this.

Thanks
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 3 Renato Botelho freebsd_committer 2006-02-28 15:11:53 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 Dan Langille 2006-03-06 02:01:53 UTC
Attached is the port ready for beta3, released today:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#=09bacula-server-devel
#=09bacula-server-devel/files
#=09bacula-server-devel/files/bacula-barcodes
#=09bacula-server-devel/files/chio-bacula
#=09bacula-server-devel/files/patch-src-console-Makefile.in
#=09bacula-server-devel/files/patch-configure
#=09bacula-server-devel/Makefile
#=09bacula-server-devel/pkg-deinstall
#=09bacula-server-devel/pkg-descr
#=09bacula-server-devel/pkg-install
#=09bacula-server-devel/pkg-message
#=09bacula-server-devel/pkg-plist
#=09bacula-server-devel/pkg-deinstall.client
#=09bacula-server-devel/pkg-install.client
#=09bacula-server-devel/pkg-plist.client
#=09bacula-server-devel/distinfo
#
echo c - bacula-server-devel
mkdir -p bacula-server-devel > /dev/null 2>&1
echo c - bacula-server-devel/files
mkdir -p bacula-server-devel/files > /dev/null 2>&1
echo x - bacula-server-devel/files/bacula-barcodes
sed 's/^X//' >bacula-server-devel/files/bacula-barcodes << 'END-of-bacula-s=
erver-devel/files/bacula-barcodes'
X#
X# Bacula barcode simulation file
X# used by ${PREFIX}/sbin/chio-bacula (FreeBSD)
X#
X# The volumenames are returned by the "changer list" command
X# labeling in the console is done by "label barcodes"
X# (then all volumes belog to the default pool).
X# All Lines with an "#" at the bedinning are ignored
X#
X# !!!! If you export an tape and reinsert another one,
X# !!!! don't forget to change the volume name in this file!
X#
X1:Volume1-100
X2:Volume1-101
X3:Volume1-102
X4:Volume1-103
X5:Volume1-104
X6:Volume1-105
X7:Volume1-106
X8:Volume1-107
X9:Volume1-108
X10:Volume1-109
X11:Volume1-110
X12:Volume1-111
X#
X# Further volumes exported from the changer
X#
X# 36GB AIT2 tapes
X#Volume1-100
X#Volume1-101
X#Volume1-102
X#Volume1-103
X#Volume1-104
X#Volume1-105
X#Volume1-106
X#Volume1-107
X#Volume1-108
X#Volume1-109
X#Volume1-110
X#Volume1-111
X#Volume1-112
X#Volume1-113
X#Volume1-114
X#Volume1-115
X#
X# 50GB AIT2 tapes
X#Volume2-200
X#Volume2-201
X#Volume2-202
X#Volume2-203
X#Volume2-204
END-of-bacula-server-devel/files/bacula-barcodes
echo x - bacula-server-devel/files/chio-bacula
sed 's/^X//' >bacula-server-devel/files/chio-bacula << 'END-of-bacula-serve=
r-devel/files/chio-bacula'
X#!/bin/sh
X#
X# Bacula interface to FreeBSD chio autoloader command with
X# multiple drive support
X# (By Lars K=F6ller, lars+bacula@koellers.net, 2004)
X#
X#  If you set in your Device resource
X#
X#  Changer Command =3D "path-to-this-script/chio-bacula" %c %o %S %a
X#    you will have the following input to this script:
X#
X#  chio-bacula "changer-device" "command" "slot" "archive-device" "drive-i=
ndex"
X#                  $1              $2       $3        $4               $5
X#  for example:
X#
X#  chio-bacula /dev/sg0 load 1 /dev/nst0 0     (on a FreeBSD system)
X#
X#  If you need to to an offline, refer to the drive as $4
X#    e.g.   mt -f $f offline
X#
X#  Many changers need an offline after the unload. Also many
X#   changers need a sleep 60 after the mtx load.
X#
X#  N.B. If you change the script, take care to return either
X#   the mtx exit code or a 0. If the script exits with a non-zero
X#   exit code, Bacula will assume the request failed.
X#
Xme=3D$(basename $0)
X
X# Debug output, take care this file is writeable for user bacula!
X#LOG=3D/var/db/bacula/chio-bacula.log
X#exec 2>>$LOG
X#echo "------------------------- $(date) Start $(basename $0) ------------=
-------------" >> $LOG
X#set -x
X
X# Debug
Xlogger -p user.err "$me $@"
X
X# This simulates a barcode reader in the changer.
X# The labes of the virtual barcode reader are located in the BARCODE_FILE
XSIMULATE_BARCODE=3Dtrue
XBARCODE_FILE=3D/usr/local/etc/bacula-barcodes
XMTX=3D/bin/chio
X# Set default values (see case statement below for
X# free mapping of drive index and tape device
X# We have a double drive Qualstar where drive 1 is the default bacula driv=
e
X#TAPE=3D/dev/bacula-tape
XTAPE=3D/dev/nrsa0
XDRIVE=3D0
X# Time to wait for (un)loading
XSLEEP=3D20
X
Xusage()
X{
X  echo ""
X  echo "The $me script for bacula"
X  echo "--------------------------------------"
X  echo ""
X  echo "usage: $me <changer-device> <command> [slot] [devicename of tapedr=
ive] [drive index]"
X  echo ""
X  echo "Valid commands:"
X  echo ""
X  echo "unload          Unloads a tape into the slot"
X  echo "                from where it was loaded."
X  echo "load <slot>     Loads a tape from the slot <slot>"
X  echo "                (slot-base is calculated to 1 as first slot)"
X  echo "list            Lists full storage slots"
X  echo "loaded          Gives slot from where the tape was loaded."
X  echo "                0 means the tape drive is empty."
X  echo "slots           Gives Number of aviable slots."
X  echo ""
X  echo "Example:"
X  echo "  $me /dev/changer load 1   loads a tape from slot 1"
X  echo ""
X  exit 2
X}
X
X# The changer device
Xif [ -z "$1" ] ; then
X    usage;
Xelse
X    CHANGER=3D$1
Xfi
X# The command
Xif [ -z "$2" ] ; then
X    usage;
Xelse
X    COMMAND=3D$2
Xfi
X# The slot number
Xif [ ! -z "$3" ]; then
X    SLOT=3D$3
X    # btape fill says "... slot 1 drive 0" :-(
X    if [ "$SLOT" =3D "slot" ]; then
X=09shift
X=09SLOT=3D$3
X    fi
Xfi
X# Set tape device
Xif [ ! -z "$4" ]; then
X    TAPE=3D$4
Xfi
X
X# Here you can map bacula drive number to any tape device
X# DRIVE is the chio drive number used below by chio!
Xcase $5 in
X    0)
X=09# First Drive in Changer is Bacula drive
X=09DRIVE=3D0
X=09#TAPE=3D/dev/bacula-tape
X=09TAPE=3D/dev/nrsa0
X=09;;
X    1)
X=09DRIVE=3D1
X=09#TAPE=3D/dev/bacula-tape2
X=09TAPE=3D/dev/nrsa1
X=09;;
Xesac
X
X#
X# Main
X#
Xcase ${COMMAND} in
X    unload)
X=09# enable the following line if you need to eject the cartridge
X=09mt -f ${TAPE} off
X=09sleep 2
X=09# if we have a slot, try it
X=09if [ ! -z "$SLOT" ]; then
X=09    ${MTX} -f ${CHANGER} move drive ${DRIVE} slot $((${SLOT}-1))
X=09    exit $?
X=09fi
X=09# Try other way (works if source element information is valid for drive=
)
X=09${MTX} -f ${CHANGER} return drive ${DRIVE}
X=09# If the changer is power cycled with a tape loaded in a drive
X=09# we can compute the slot in case of a complete filled magazine, with
X=09# one slot free.
X=09if [ "$?" !=3D "0" ]; then
X=09    free_slot=3D`${MTX} -f ${CHANGER} stat | grep "^slot " | grep -v "F=
ULL" | awk '{print $2}'`
X=09    free_slot=3D${free_slot%:}
X=09    ${MTX} -f ${CHANGER} move drive ${DRIVE} slot $free_slot
X=09fi
X=09;;
X
X    load)
X=09${MTX} -f ${CHANGER} move slot $((${SLOT}-1)) drive ${DRIVE}
X=09rtn=3D$?
X=09# Increase the sleep time if you have a slow device
X=09sleep $SLEEP
X=09exit $rtn
X=09;;
X
X    list)
X=09if [ "${SIMULATE_BARCODE}" =3D "true" ]; then
X=09    if [ -f "$BARCODE_FILE" ]; then
X=09=09cat $BARCODE_FILE | grep -v -e "^#" -e "^$"
X=09=09exit 0
X=09    else
X=09=09echo "Barcode file $BARCODE_FILE missing ... exiting!"
X=09=09exit 1
X=09    fi
X=09else
X=09    ${MTX} -f ${CHANGER} status | grep "^slot .*: .*FULL>" | awk '{prin=
t $2}' | awk -F: '{print $1+1" "}' | tr -d "[\r\n]"
X=09fi
X      ;;
X
X    loaded)
X=09# echo "Request loaded"
X=09${MTX} -f ${CHANGER} status -S > /tmp/mtx.$$
X=09rtn=3D$?
X=09# Try to get chio slot source from drive entry
X=09SLOT=3D$(cat /tmp/mtx.$$ | grep "^drive ${DRIVE}: <FULL> .*slot" | awk =
'{print $6+1}' | tr -d ">")
X=09if [ -z "$SLOT" ]; then
X=09    # This handles the case a source slot is not available (power on
X=09    # of the changer with a drive loaded) and all other slots are
X=09    # occupied with a tape!
X=09    SLOT=3D$(cat /tmp/mtx.$$ | grep "^slot .*: <ACCESS>" | awk '{print =
$2+1}')
X=09    if [ -z "$SLOT" ]; then
X=09=09echo 0
X=09    else
X=09=09echo $SLOT
X=09    fi
X=09else
X=09    echo $SLOT
X=09fi
X=09# All tapes are in the slots
X=09#cat /tmp/mtx.$$ | grep "^drive ${DRIVE}: .* source: <>" | awk "{print =
0}"
X=09rm -f /tmp/mtx.$$
X=09exit $rtn
X=09;;
X
X    slots)
X=09# echo "Request slots"
X=09${MTX} -f ${CHANGER} status | grep "^slot " | tail -1 | awk '{print $2+=
1}' | tr -d ":"
X=09;;
X
X    *)
X=09usage
X      ;;
Xesac
END-of-bacula-server-devel/files/chio-bacula
echo x - bacula-server-devel/files/patch-src-console-Makefile.in
sed 's/^X//' >bacula-server-devel/files/patch-src-console-Makefile.in << 'E=
ND-of-bacula-server-devel/files/patch-src-console-Makefile.in'
X*** src/console/Makefile.in.org=09Sat Apr  3 20:40:26 2004
X--- src/console/Makefile.in=09Sat May  8 14:01:49 2004
X***************
X*** 89,95 ****
X  =09   destconf=3D$$srcconf; \
X  =09   if  test -f ${DESTDIR}${sysconfdir}/console.conf; then \
X  =09      echo "Existing console.conf moved to bconsole.conf"; \
X! =09      @$(MV) ${DESTDIR}${sysconfdir}/console.conf ${DESTDIR}${sysconf=
dir}/bconsole.conf; \
X  =09      destconf=3D$$srcconf.new; \
X  =09   fi; \
X  =09fi; \
X--- 89,95 ----
X  =09   destconf=3D$$srcconf; \
X  =09   if  test -f ${DESTDIR}${sysconfdir}/console.conf; then \
X  =09      echo "Existing console.conf moved to bconsole.conf"; \
X! =09      $(MV) ${DESTDIR}${sysconfdir}/console.conf ${DESTDIR}${sysconfd=
ir}/bconsole.conf; \
X  =09      destconf=3D$$srcconf.new; \
X  =09   fi; \
X  =09fi; \
END-of-bacula-server-devel/files/patch-src-console-Makefile.in
echo x - bacula-server-devel/files/patch-configure
sed 's/^X//' >bacula-server-devel/files/patch-configure << 'END-of-bacula-s=
erver-devel/files/patch-configure'
X*** configure.org=09Sun Mar  6 16:46:54 2005
X--- configure=09Sun Mar  6 16:49:20 2005
X***************
X*** 29490,29497 ****
X  =09DISTVER=3D`uname -a |awk '{print $3}'`
X  =09VER=3D`echo $DISTVER | cut -c 1`
X  =09if test x$VER =3D x4 ; then
X! =09   PTHREAD_LIB=3D"-pthread"
X! =09   CFLAGS=3D"${CFLAGS} -pthread"
X  =09fi
X  =09lld=3D"qd"
X  =09llu=3D"qu"
X--- 21037,21044 ----
X  =09DISTVER=3D`uname -a |awk '{print $3}'`
X  =09VER=3D`echo $DISTVER | cut -c 1`
X  =09if test x$VER =3D x4 ; then
X! =09   PTHREAD_LIB=3D"${PTHREAD_LIBS}"
X! =09   CFLAGS=3D"${CFLAGS} ${PTHREAD_CFLAGS}"
X  =09fi
X  =09lld=3D"qd"
X  =09llu=3D"qu"
END-of-bacula-server-devel/files/patch-configure
echo x - bacula-server-devel/Makefile
sed 's/^X//' >bacula-server-devel/Makefile << 'END-of-bacula-server-devel/M=
akefile'
X# New ports collection makefile for:=09bacula
X# Date created:=09=09=09=095 March 2006
X# Whom:=09=09=09=09=09Dan Langille <dan@langille.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=3D=09bacula
X
XPORTVERSION=3D=091.38.6.beta5.20060304
XDISTVERSION=3D=09${PORTVERSION}
XCATEGORIES=3D=09sysutils
XMASTER_SITES=3D=09${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=3D=09bacula
X
XPKGNAMESUFFIX?=3D=09-server-devel
X
X
X
X
XDISTFILES=3D=09bacula-1.38.6-beta3-20060304.tar.gz
XWRKSRC=3D=09=09work/bacula-1.38.6-beta3-20060304
XMAINTAINER=3D=09dan@langille.org
XCOMMENT?=3D=09The network backup solution (server) - DEVELOPMENT Version
X
X# The user/group IDs below are registered, see
X# http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.h=
tml#DADS-UID
X#
XBACULA_DIR?=3D/var/db/bacula
X#
XUSE_REINPLACE=3D=09yes
XGNU_CONFIGURE=3D=09yes
XCONFIGURE_ARGS=3D=09--with-tcp-wrappers=3D/usr/lib \
X=09=09--enable-smartalloc \
X=09=09--with-working-dir=3D${BACULA_DIR} \
X=09=09--with-scriptdir=3D${PREFIX}/share/${PORTNAME} \
X=09=09--mandir=3D${PREFIX}/man \
X=09=09--with-fd-user=3Droot \
X=09=09--with-fd-group=3Dwheel \
X=09=09--with-dir-user=3Dbacula \
X=09=09--with-dir-group=3Dbacula \
X=09=09--with-sd-user=3Dbacula \
X=09=09--with-sd-group=3Doperator \
X=09=09--with-readline=3Dyes \
X=09=09--disable-conio
X
XCONFIGURE_ENV+=3D=09CPPFLAGS=3D"-I/usr/include/readline -I${LOCALBASE}/inc=
lude" \
X=09=09LDFLAGS=3D"-L${LOCALBASE}/lib" \
X=09=09PTHREAD_CFLAGS=3D"${PTHREAD_CFLAGS}" \
X=09=09PTHREAD_LIBS=3D"${PTHREAD_LIBS}"
X
XALL_OPTIONS=3D=09CLIENT_ONLY WXCONSOLE GNOMECONSOLE SQLITE3 MYSQL POSTGRES=
QL MTX OPENSSL
X
X.for opt in ${ALL_OPTIONS}
X.if defined(WITH_${opt})
XBATCH=3D=09yes
X.endif
X.endfor
X
X.if !defined(BATCH)
XIS_INTERACTIVE=3D=09yes
X.endif
X
X.if defined(WITH_CLIENT_ONLY)
XOPTIONS+=3D=09WXCONSOLE "Build with wxGTK based GUI console" off
XOPTIONS+=3D=09GNOMECONSOLE "Build with GNOME based GUI console" off
X.else
XOPTIONS=3D=09SQLITE3 "Use SqLite-3 database instead of SqLite-2" off
XOPTIONS+=3D=09MYSQL "Use MySQL database instead of SqLite" off
XOPTIONS+=3D=09POSTGRESQL "Use PostgreSQL database instead of SqLite" off
XOPTIONS+=3D=09MTX "Install mtx for control of autochanger devices" off
X.endif
X
XOPTIONS+=3D=09OPENSSL "Enable OpenSSL for encrypted communication" off
X
X# Prepare if gnome-console is selected this must be happen before
X# include of bsd.port.pre.mk!
XWANT_GNOME=3D=09yes
X.if defined(WITH_GNOMECONSOLE)
XUSE_GNOME=3D=09libgnome
X.endif
X
XPLIST_SUB+=3D=09BACULA_DIR=3D${BACULA_DIR}
X
XMAN8=3D           bacula.8
X
X.include <bsd.port.pre.mk>
X
X# Client only or full server version
X.if defined(WITH_CLIENT_ONLY)
XCONFFILES=3D=09fd
XCONFIGURE_ARGS+=3D=09--enable-client-only
X
XPKGDEINSTALL=3D=09${PKGDIR}/pkg-deinstall.client
XPKGINSTALL=3D=09${PKGDIR}/pkg-install.client
X# Build gnome-console
X.if defined(WITH_GNOMECONSOLE)
XCONFIGURE_ARGS+=3D=09--enable-gnome
XPLIST_SUB+=3D=09=09GNOMECONS=3D""
X.else
X# We didn't need GTK (it's not possible to put WANT_GNOME in an .if statem=
ent!)
XWITHOUT_GNOME=3D=09=09yes
XPLIST_SUB+=3D=09=09GNOMECONS=3D"@comment "
X.endif
X# Build wx-console
X.if defined(WITH_WXCONSOLE)
XCONFIGURE_ARGS+=3D=09--enable-wx-console
XLIB_DEPENDS+=3D=09=09wx_gtk2-2.4.0:${PORTSDIR}/x11-toolkits/wxgtk24
XCONFIGURE_ENV+=3D=09=09WXCONFIG=3D${X11BASE}/bin/wxgtk2-2.4-config
XPLIST_SUB+=3D=09=09WXCONS=3D""
X.else
X# We didn't need GTK (it's not possible to put WANT_GNOME in an .if statem=
ent!)
XWITHOUT_GNOME=3D=09=09yes
XPLIST_SUB+=3D=09 =09WXCONS=3D"@comment "
X.endif
X.else
X# Server only Options
XPLIST_SUB+=3D=09=09GNOMECONS=3D"@comment "
XPLIST_SUB+=3D=09 =09WXCONS=3D"@comment "
XCONFFILES=3D=09=09sd dir
X.if defined(WITH_MYSQL)
XCONFIGURE_ARGS+=3D=09--with-mysql=3Dyes
XUSE_MYSQL=3D=09=09yes
XDBTYPE=3D=09=09=09mysql
X.elif defined(WITH_POSTGRESQL)
XUSE_PGSQL=3D=09=09yes
XCONFIGURE_ARGS+=3D=09--with-postgresql=3Dyes
XDBTYPE=3D=09=09=09postgresql
X.elif defined(WITH_SQLITE3)
XCONFIGURE_ARGS+=3D=09--with-sqlite3=3Dyes
XLIB_DEPENDS+=3D=09=09sqlite3:${PORTSDIR}/databases/sqlite3
XDBTYPE=3D=09=09=09sqlite
X.else
XCONFIGURE_ARGS+=3D=09--with-sqlite=3Dyes
XLIB_DEPENDS+=3D=09=09sqlite.2:${PORTSDIR}/databases/sqlite2
XDBTYPE=3D=09=09=09sqlite
X.endif
XPLIST_SUB+=3D=09=09DBTYPE=3D${DBTYPE}
X# Install mtx
X.if defined(WITH_MTX)
XRUN_DEPENDS+=3D=09=09${LOCALBASE}/sbin/mtx:${PORTSDIR}/misc/mtx
X.endif
X.endif
X
X.if defined(WITH_OPENSSL)
XCONFIGURE_ARGS+=3D=09--with-openssl
X.endif
X
X.if defined(WITH_CLIENT_ONLY)
XMAN8=3Dbacula.8
X.endif
X
Xpre-everything::
X.if !defined(WITH_CLIENT_ONLY)
X=09@${ECHO_MSG} "=3D=3D=3D=3D=3D=3D=3D> ATTENTION <=3D=3D=3D=3D=3D=3D=3D"
X=09@${ECHO_MSG} "=3D=3D=3D> Note that there is a pthreads problem, which l=
eads to the loss of 500kB"
X=09@${ECHO_MSG} "=3D=3D=3D> of data at the end of an tape. This is correct=
ed in newer versions of FreeBSD"
X=09@${ECHO_MSG} "=3D=3D=3D> READ ${WRKSRC}/platforms/freebsd/pthreads-fix.=
txt"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "You may use the following build options (or make config):=
"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "  WITH_CLIENT_ONLY=3Dyes=09if you only want the file daem=
on."
X=09@${ECHO_MSG} "  WITH_WXCONSOLE=3Dyes=09if you only want a wxGTK based G=
UI console."
X=09@${ECHO_MSG} "  WITH_GNOMECONSOLE=3Dyes=09if you only want a GNOME base=
d GUI console."
X=09@${ECHO_MSG} "  WITH_MTX=3Dyes=09=09if you want to use mtx instead of c=
hio for autochanger control."
X=09@${ECHO_MSG} "  WITH_SQLITE3=3Dyes  =09if you want SqLite-3 instead of =
SqLite-2 as the database."
X.if !defined(WITH_MYSQL) && !defined(WITH_POSTGRESQL)
X=09@${ECHO_MSG} "  WITH_MYSQL=3Dyes  =09if you want MySQL instead of SqLit=
e as the database."
X=09@${ECHO_MSG} "  WITH_POSTGRESQL=3Dyes=09if you want PostgreSQL instead =
of SqLite as the database."
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "The default DB is SQLite-2!"
X.endif
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "=3D=3D=3D> Using ${DBTYPE} as the bacula database."
X=09@${ECHO_MSG} ""
X.else
X=09@${ECHO_MSG} "=3D=3D=3D> Building file daemon only."
X.endif
X
Xpost-patch:
X#=09Default bconsole.conf is ${PREFIX}/etc
X=09@${REINPLACE_CMD} -e 's|./bconsole.conf|${PREFIX}/etc/bconsole.conf|g' =
${WRKSRC}/src/console/console.c
X.if defined(WITH_CLIENT_ONLY)
X# =09In client port only install startup script out of script dir (see bel=
ow post-install)
X# =09Dont mkdir ${PREFIX}/share/bacule cause it's empty
X=09@${REINPLACE_CMD} -e 's|^\(fd_subdirs =3D .*\)scripts\(.*\)|\1\2|g' ${W=
RKSRC}/Makefile.in
X=09${REINPLACE_CMD} -e 's|\(.*$$(MKDIR) $$(DESTDIR)$$(scriptdir)\)|#\1|g' =
${WRKSRC}/Makefile.in
X.else
X#=09In server port don't install filed
X=09@${REINPLACE_CMD} -e 's|^all_subdirs =3D .*|all_subdirs =3D scripts src=
\/lib src\/findlib $${subdirs}|g' ${WRKSRC}/Makefile.in
X.endif
X
Xpost-install:
X#=09Migration: move existing bacula.sh to z-bacula.sh to start bacula AFTE=
R DB start
X=09if [ -f ${PREFIX}/etc/rc.d/bacula.sh ]; then \
X=09=09${MV} ${PREFIX}/etc/rc.d/bacula.sh ${PREFIX}/etc/rc.d/z-bacula.sh; \
X=09fi
X=09if [ -f ${PREFIX}/etc/rc.d/bacula.sh.sample ]; then \
X=09=09${MV} ${PREFIX}/etc/rc.d/bacula.sh.sample ${PREFIX}/etc/rc.d/z-bacul=
a.sh.sample; \
X=09fi
X.if defined(WITH_CLIENT_ONLY)
X# =09Install start script
X=09${INSTALL_SCRIPT} ${WRKSRC}/scripts/bacula ${PREFIX}/etc/rc.d/z-bacula.=
sh.sample
X# =09Extend only /etc/services
X=09@ ${SETENV} PKG_PREFIX=3D${PREFIX} \
X=09=09${SH} ${PKGINSTALL} ${PORTNAME}
X# =09Console stuff
X=09if [ -f ${PREFIX}/etc/bconsole.conf.new ]; then \
X=09=09${ECHO_CMD} "etc/bconsole.conf.new" >> ${TMPPLIST}; \
X=09elif [ -f ${PREFIX}/etc/bconsole.conf ]; then \
X=09=09${MV} ${PREFIX}/etc/bconsole.conf ${PREFIX}/etc/bconsole.conf.sample=
; \
X=09=09${ECHO_CMD} "etc/bconsole.conf.sample" >> ${TMPPLIST}; \
X=09fi
X.if defined(WITH_WXCONSOLE)
X=09if [ -f ${PREFIX}/etc/wx-console.conf.new ]; then \
X=09=09${ECHO_CMD} "etc/wx-console.conf.new" >> ${TMPPLIST}; \
X=09elif [ -f ${PREFIX}/etc/wx-console.conf ]; then \
X=09=09${MV} ${PREFIX}/etc/wx-console.conf ${PREFIX}/etc/wx-console.conf.sa=
mple; \
X=09=09${ECHO_CMD} "etc/wx-console.conf.sample" >> ${TMPPLIST}; \
X=09fi
X.endif
X.if defined(WITH_GNOMECONSOLE)
X=09if [ -f ${PREFIX}/etc/gnome-console.conf.new ]; then \
X=09=09${ECHO_CMD} "etc/gnome-console.conf.new" >> ${TMPPLIST}; \
X=09elif [ -f ${PREFIX}/etc/gnome-console.conf ]; then \
X=09=09${MV} ${PREFIX}/etc/gnome-console.conf ${PREFIX}/etc/gnome-console.c=
onf.sample; \
X=09=09${ECHO_CMD} "etc/gnome-console.conf.sample" >> ${TMPPLIST}; \
X=09fi
X.endif
X
X#=09@${CHMOD} a+x ${WRKSRC}/scripts/bacula.man
X.if defined(WITH_CLIENT_ONLY)
X=09${INSTALL_MAN} ${WRKSRC}/scripts/bacula.man ${PREFIX}/man/man8/bacula.8
X.endif
X.else
X# =09Extend /etc/services and install UID/GID
X=09@ ${SETENV} PKG_PREFIX=3D${PREFIX} \
X=09=09${SH} ${PKGINSTALL} ${PORTNAME} POST-INSTALL
X# =09Install config files and preserve existing ones
X=09${INSTALL_SCRIPT} ${FILESDIR}/chio-bacula ${PREFIX}/sbin
X=09if [ -f ${PREFIX}/etc/bacula-barcodes ]; then \
X=09=09${INSTALL_DATA} ${FILESDIR}/bacula-barcodes ${PREFIX}/etc/bacula-bar=
codes.new ; \
X=09=09${ECHO_CMD} "etc/bacula-barcodes.new" >> ${TMPPLIST}; \
X=09else \
X=09=09${INSTALL_DATA} ${FILESDIR}/bacula-barcodes ${PREFIX}/etc/bacula-bar=
codes.samples ; \
X=09=09${ECHO_CMD} "etc/bacula-barcodes.samples" >> ${TMPPLIST}; \
X=09fi
X# =09chmod of bsmtp program so bacula can use it with dropped down permiss=
ions
X=09${CHMOD} o+x ${PREFIX}/sbin/bsmtp
X=09${CHOWN} -R bacula:bacula ${PREFIX}/share/bacula
X.endif
X# =09Install leaves existing conf files untouched. Respect this here!
X=09for na in ${CONFFILES}; do \
X=09=09if [ -f ${PREFIX}/etc/bacula-$$na.conf.new ]; then \
X=09=09=09${ECHO_CMD} "etc/bacula-$$na.conf.new" >> ${TMPPLIST}; \
X=09=09elif [ -f ${PREFIX}/etc/bacula-$$na.conf ]; then \
X=09=09=09${MV} ${PREFIX}/etc/bacula-$$na.conf ${PREFIX}/etc/bacula-$$na.co=
nf.sample; \
X=09=09=09${ECHO_CMD} "etc/bacula-$$na.conf.sample" >> ${TMPPLIST}; \
X=09=09fi; \
X=09done
X
X# Inform user after install about important things ....
X=09@${ECHO_MSG} "*********************************************************=
************"
X=09@${ECHO_MSG} "NOTE:"
X=09@${ECHO_MSG} "Sample files are installed in ${PREFIX}/etc:"
X=09@${ECHO_MSG} "  bconsole.conf.sample, bacula-barcodes.sample, bacula-fd=
=2Econf.sample"
X.if !defined(WITH_CLIENT_ONLY)
X=09@${ECHO_MSG} "  bacula-sd.conf.sample, bacula-dir.conf.sample"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "An auto-changer manipulation script based on FreeBSDs"
X=09@${ECHO_MSG} "chio command is included and installed at"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "  ${PREFIX}/sbin/chio-bacula"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "Please have a look at it if you want to use an"
X=09@${ECHO_MSG} "autochanger. You have to configure the usage in"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "  ${PREFIX}/etc/bacula-dir.conf"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "Take care of correct permissions for changer and"
X=09@${ECHO_MSG} "tape device (e.g. /dev/ch0 and /dev/n[r]sa0) i.e."
X=09@${ECHO_MSG} "they must be accessible by user bacula."
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "Due to lack of some features in the FreeBSD tape driver"
X=09@${ECHO_MSG} "implementation you MUST add some OS dependent options to"
X=09@${ECHO_MSG} "the bacula-sd.conf file:"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "  Hardware End of Medium =3D no;"
X=09@${ECHO_MSG} "  Backward Space Record =3D no;"
X=09@${ECHO_MSG} "  Backward Space File =3D no;"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "With 2 filemarks at EOT (see man mt):"
X=09@${ECHO_MSG} "  Fast Forward Space File =3D no;"
X=09@${ECHO_MSG} "  BSF at EOM =3D yes;"
X=09@${ECHO_MSG} "  TWO EOF =3D yes;"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "With 1 filemarks at EOT (see man mt):"
X=09@${ECHO_MSG} "  Fast Forward Space File =3D yes;"
X=09@${ECHO_MSG} "  BSF at EOM =3D no;"
X=09@${ECHO_MSG} "  TWO EOF =3D no;"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "NOTE: YOU CAN SWITCH EOT model ONLY when starting"
X=09@${ECHO_MSG} "      from scratch with EMPTY tapes!!!!"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "It is also important that all the scripts accessed"
X=09@${ECHO_MSG} "by RunBeforeJob and RunAfterJob can be executed by"
X=09@${ECHO_MSG} "the user bacula."
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "For USB support read the bacula manual!! It could be nece=
ssary"
X=09@${ECHO_MSG} "to configure/compile a new kernel!"
X=09@${ECHO_MSG} ""
X=09@${ECHO_MSG} "Look at $PREFIX/share/bacula/update_bacula_tables for"
X=09@${ECHO_MSG} "database update procedure. Details can be found in the"
X=09@${ECHO_MSG} "ReleaseNotes"
X.endif
X=09@${ECHO_MSG} "*********************************************************=
************"
X
X.if !defined(WITH_CLIENT_ONLY)
X=09${CAT} pkg-message
X.endif
X
X.include <bsd.port.post.mk>
END-of-bacula-server-devel/Makefile
echo x - bacula-server-devel/pkg-deinstall
sed 's/^X//' >bacula-server-devel/pkg-deinstall << 'END-of-bacula-server-de=
vel/pkg-deinstall'
X#!/bin/sh
X
XPATH=3D/bin:/usr/bin:/usr/sbin
XTMPFILE=3D/tmp/services-$RANDOM-$$
Xif [ -z "${BACULA_DIR}" ]; then
X=09BACULA_DIR=3D/var/db/bacula
Xfi
X
Xcase "$2" in
X"DEINSTALL")
X=09# Delete entries in /etc/services
X        sed -e '/# Bacula port start/,/# Bacule port end/{' \
X            -e 'd' \
X            -e '}' /etc/services > $TMPFILE
X        mv -f $TMPFILE /etc/services
X
X=09if [ -d ${BACULA_DIR} ]; then
X=09    rmdir ${BACULA_DIR};
X=09fi
X=09if [ -d ${BACULA_DIR} ]; then
X=09    echo "Check if ${BACULA_DIR} is empty and delete it to permanently =
remove the bacula port"
X=09fi
X
X=09# Note how to delete UID/GID
X=09USER=3Dbacula
X=09GROUP=3D${USER}
X=09if pw usershow "${USER}" 2>/dev/null 1>&2; then
X=09    echo "To delete Bacula user  permanently, use 'pw userdel  ${USER}'=
"
X=09    echo "To delete Bacula group permanently, use 'pw groupdel ${GROUP}=
'"
X=09fi
X        ;;
Xesac
END-of-bacula-server-devel/pkg-deinstall
echo x - bacula-server-devel/pkg-descr
sed 's/^X//' >bacula-server-devel/pkg-descr << 'END-of-bacula-server-devel/=
pkg-descr'
XBacula is a set of computer programs that permit you (or the system
Xadministrator) to manage backup, recovery, and verification of
Xcomputer data across a network of computers of different kinds.
XIn technical terms, it is a network Client/Server based backup program.
XBacula is relatively easy to use and efficient, while offering many
Xadvanced storage management features that make it easy to find and
Xrecover lost or damaged files. Due to its modular design, Bacula is
Xscalable from small single computer systems to systems consisting of
Xhundreds of computers located over a large network.
X
XThis port is built from the development branch of Bacula.
X
XWWW: http://www.bacula.org/
END-of-bacula-server-devel/pkg-descr
echo x - bacula-server-devel/pkg-install
sed 's/^X//' >bacula-server-devel/pkg-install << 'END-of-bacula-server-deve=
l/pkg-install'
X#!/bin/sh
X
XPATH=3D/bin:/usr/bin:/usr/sbin
Xif [ -z "${BACULA_DIR}" ]; then
X=09BACULA_DIR=3D/var/db/bacula
Xfi
X
X# Always add lines in /etc/services
Xgrep -q "bacula-dir" /etc/services
Xif [ "$?" !=3D "0" ]; then
X    echo "# Bacula port start
Xbacula-dir      9101/tcp   #Bacula director daemon
Xbacula-fd       9102/tcp   #Bacula file daemon
Xbacula-sd       9103/tcp   #Bacula storage daemon
X# Bacule port end" >> /etc/services
Xfi
X
Xcase $2 in
XPOST-INSTALL)
X=09# Install UID/GID
X=09USER=3Dbacula
X=09GROUP=3D${USER}
X=09UID=3D910
X=09GID=3D${UID}
X
X=09if pw group show "${GROUP}" 2>/dev/null; then
X=09=09echo "You already have a group \"${GROUP}\", so I will use it."
X=09else
X=09=09if pw groupadd ${GROUP} -g ${GID}; then
X=09=09=09echo "Added group \"${GROUP}\"."
X=09=09else
X=09=09=09echo "Adding group \"${GROUP}\" failed..."
X=09=09=09exit 1
X=09=09fi
X=09fi
X
X=09if pw user show "${USER}" 2>/dev/null; then
X=09=09echo "You already have a user \"${USER}\", so I will use it."
X=09=09if pw usermod ${USER} -d ${BACULA_DIR} -G operator
X=09=09then
X=09=09=09echo "Changed home directory of \"${USER}\" to \"${BACULA_DIR}\""
X=09=09else
X=09=09=09echo "Changing home directory of \"${USER}\" to \"${BACULA_DIR}\"=
 failed..."
X=09=09=09exit 1
X=09=09fi
X=09else
X=09=09if pw useradd ${USER} -u ${UID} -g ${GROUP} -G operator -h - \
X=09=09=09-d ${BACULA_DIR} -s /sbin/nologin -c "Bacula Daemon"
X=09=09then
X=09=09=09echo "Added user \"${USER}\"."
X=09=09else
X=09=09=09echo "Adding user \"${USER}\" failed..."
X=09=09=09exit 1
X=09=09fi
X=09fi
X=09chown -R ${USER}:${GROUP} ${BACULA_DIR}
X=09;;
Xesac
END-of-bacula-server-devel/pkg-install
echo x - bacula-server-devel/pkg-message
sed 's/^X//' >bacula-server-devel/pkg-message << 'END-of-bacula-server-deve=
l/pkg-message'
X##########################################################################=
######
X  Please read the file"
X
X=09${DOCSDIR}/ReleaseNotes"
X
X  for the upgrade procedure!
X
X  IF YOU IGNORE THIS you may !! LOSE DATA !!
X
X  For USB support read the manual. It could be necessary
X  to configure/compile a new kernel!
X
X##########################################################################=
######
END-of-bacula-server-devel/pkg-message
echo x - bacula-server-devel/pkg-plist
sed 's/^X//' >bacula-server-devel/pkg-plist << 'END-of-bacula-server-devel/=
pkg-plist'
X%%DATADIR%%/query.sql
Xetc/rc.d/z-bacula.sh.sample
Xsbin/chio-bacula
Xsbin/bacula-dir
Xsbin/bacula-sd
Xsbin/bcopy
Xsbin/bextract
Xsbin/bls
Xsbin/bscan
Xsbin/btape
X%%WXCONS%%sbin/wx-console
X%%GNOMECONS%%sbin/gnome-console
Xsbin/dbcheck
Xsbin/bsmtp
X@unexec if cmp -s %D/share/bacula/mtx-changer.old %D/share/bacula/mtx-chan=
ger; then rm -f %D/share/bacula/mtx-changer.old; fi
X%%DATADIR%%/mtx-changer
X%%DATADIR%%/create_bacula_database
X%%DATADIR%%/create_%%DBTYPE%%_database
X%%DATADIR%%/drop_bacula_database
X%%DATADIR%%/drop_%%DBTYPE%%_database
X%%DATADIR%%/drop_bacula_tables
X%%DATADIR%%/drop_%%DBTYPE%%_tables
X%%DATADIR%%/grant_bacula_privileges
X%%DATADIR%%/grant_%%DBTYPE%%_privileges
X%%DATADIR%%/make_bacula_tables
X%%DATADIR%%/make_%%DBTYPE%%_tables
X%%DATADIR%%/update_bacula_tables
X%%DATADIR%%/update_%%DBTYPE%%_tables
X%%DATADIR%%/delete_catalog_backup
X%%DATADIR%%/make_catalog_backup
X%%DATADIR%%/dvd-handler
X
X@dirrm %%DATADIR%%
X@unexec /usr/bin/killall badula-sd > /dev/null 2>&1 || true
X@unexec /usr/bin/killall bacula-dir > /dev/null 2>&1 || true
X@exec mkdir -p %%BACULA_DIR%%
END-of-bacula-server-devel/pkg-plist
echo x - bacula-server-devel/pkg-deinstall.client
sed 's/^X//' >bacula-server-devel/pkg-deinstall.client << 'END-of-bacula-se=
rver-devel/pkg-deinstall.client'
X#!/bin/sh
X
XPATH=3D/bin:/usr/bin:/usr/sbin
XTMPFILE=3D/tmp/services-$RANDOM-$$
Xif [ -z "${BACULA_DIR}" ]; then
X=09BACULA_DIR=3D/var/db/bacula
Xfi
X
Xcase "$2" in
X"DEINSTALL")
X=09# Delete entries in /etc/services
X        sed -e '/# Bacula port start/,/# Bacule port end/{' \
X            -e 'd' \
X            -e '}' /etc/services > $TMPFILE
X        mv -f $TMPFILE /etc/services
X
X=09if [ -d ${BACULA_DIR} ]; then
X=09    rmdir ${BACULA_DIR};
X=09fi
X=09if [ -d ${BACULA_DIR} ]; then
X=09    echo "Check if ${BACULA_DIR} is empty and delete it to permanently =
remove the bacula port"
X=09fi
X        ;;
Xesac
END-of-bacula-server-devel/pkg-deinstall.client
echo x - bacula-server-devel/pkg-install.client
sed 's/^X//' >bacula-server-devel/pkg-install.client << 'END-of-bacula-serv=
er-devel/pkg-install.client'
X#!/bin/sh
X
XPATH=3D/bin:/usr/bin:/usr/sbin
Xif [ -z "${BACULA_DIR}" ]; then
X=09BACULA_DIR=3D/var/db/bacula
Xfi
X
X# Always add lines in /etc/services
Xgrep -q "bacula-dir" /etc/services
Xif [ "$?" !=3D "0" ]; then
X    echo "# Bacula port start
Xbacula-dir      9101/tcp   #Bacula director daemon
Xbacula-fd       9102/tcp   #Bacula file daemon
Xbacula-sd       9103/tcp   #Bacula storage daemon
X# Bacule port end" >> /etc/services
Xfi
X
END-of-bacula-server-devel/pkg-install.client
echo x - bacula-server-devel/pkg-plist.client
sed 's/^X//' >bacula-server-devel/pkg-plist.client << 'END-of-bacula-server=
-devel/pkg-plist.client'
Xetc/rc.d/z-bacula.sh.sample
Xsbin/bacula-fd
Xsbin/bconsole
X%%GNOMECONS%%sbin/gnome-console
X%%WXCONS%%sbin/wx-console
X@unexec /usr/bin/killall badula-fd > /dev/null 2>&1 || true
X@exec mkdir -p %%BACULA_DIR%%
END-of-bacula-server-devel/pkg-plist.client
echo x - bacula-server-devel/distinfo
sed 's/^X//' >bacula-server-devel/distinfo << 'END-of-bacula-server-devel/d=
istinfo'
XMD5 (bacula-1.38.6-beta3-20060304.tar.gz) =3D 307153832c052779dc48f31c2d05=
7fe3
XSIZE (bacula-1.38.6-beta3-20060304.tar.gz) =3D 1927972
END-of-bacula-server-devel/distinfo
exit


--=20
Dan Langille - http://www.langille.org/
BSDCan - The Technical BSD Conference: http://www.bsdcan.org/
Comment 5 Renato Botelho freebsd_committer 2006-03-06 11:56:26 UTC
Em 5/3/2006 23:01 Dan Langille escreveu:
> Attached is the port ready for beta3, released today:

Hello,

I made minor changes on both ports, mainly on server, just to pacify
a bit portlint and get a better Makefile.

You can download both new ports here:

http://people.freebsd.org/~garga/bacula-client-devel.tar.gz
http://people.freebsd.org/~garga/bacula-server-devel.tar.gz

The server port has a problem about PLIST, like you can see here:

http://srvmix.galle.com.br/tb/errors/6-STABLE/bacula-server-devel-1.38.6.b3.20060304.log

The file ${PREFIX}/etc/rc.d/z-bacula.sh.sample is not installed, but
it's present on pkg-plist file.

Could you fix it and send me a "diff -ruN" patch to apply on this
current version?

Thanks
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 6 Dan Langille 2006-03-06 16:47:54 UTC
On 6 Mar 2006 at 8:56, Renato Botelho wrote:

> Em 5/3/2006 23:01 Dan Langille escreveu:
> > Attached is the port ready for beta3, released today:
>
> Hello,
>
> I made minor changes on both ports, mainly on server, just to pacify
> a bit portlint and get a better Makefile.
>
> You can download both new ports here:
>
> http://people.freebsd.org/~garga/bacula-client-devel.tar.gz
> http://people.freebsd.org/~garga/bacula-server-devel.tar.gz

Nice.  Thank you.

> The server port has a problem about PLIST, like you can see here:
>
> http://srvmix.galle.com.br/tb/errors/6-STABLE/bacula-server-devel-1.38.6.b3.20060304.log
>
> The file ${PREFIX}/etc/rc.d/z-bacula.sh.sample is not installed, but
> it's present on pkg-plist file.

Thanks. I failed to do the recommended tests.  Sorry.  They pass now.

> Could you fix it and send me a "diff -ruN" patch to apply on this
> current version?

Done.  See below.

I've added files/patch-scripts-Makefile.in and fixed pkg-plist.


diff -ruN bacula-server-devel/files/patch-scripts-Makefile.in bacula-server-devel.mine/files/patch-scripts-Makefile.in
--- bacula-server-devel/files/patch-scripts-Makefile.in	Wed Dec 31 19:00:00 1969
+++ bacula-server-devel.mine/files/patch-scripts-Makefile.in	Mon Mar  6 11:22:56 2006
@@ -0,0 +1,51 @@
+--- scripts/Makefile.in.org	Thu Feb 23 14:56:12 2006
++++ scripts/Makefile.in		Mon Mar  6 11:20:05 2006
+@@ -33,11 +33,11 @@
+ 	$(MKDIR) $(DESTDIR)$(mandir)
+
+ install: installdirs
+-	$(INSTALL_SCRIPT) startmysql $(DESTDIR)$(scriptdir)/startmysql
+-	$(INSTALL_SCRIPT) stopmysql $(DESTDIR)$(scriptdir)/stopmysql
+-	$(INSTALL_SCRIPT) bconsole $(DESTDIR)$(scriptdir)/bconsole
+-	$(INSTALL_SCRIPT) gconsole $(DESTDIR)$(scriptdir)/gconsole
+-	$(INSTALL_SCRIPT) bacula $(DESTDIR)$(scriptdir)/bacula
++#	$(INSTALL_SCRIPT) startmysql $(DESTDIR)$(scriptdir)/startmysql
++#	$(INSTALL_SCRIPT) stopmysql $(DESTDIR)$(scriptdir)/stopmysql
++#	$(INSTALL_SCRIPT) bconsole $(DESTDIR)$(scriptdir)/bconsole
++#	$(INSTALL_SCRIPT) gconsole $(DESTDIR)$(scriptdir)/gconsole
++	$(INSTALL_SCRIPT) bacula $(DESTDIR)$(sysconfdir)/rc.d/z-bacula.sh.sample
+ 	@if  test -f ${DESTDIR}${scriptdir}/mtx-changer; then \
+ 	   echo "  ==> Saving existing mtx-changer to mtx-changer.old"; \
+ 	   $(MV) -f ${DESTDIR}${scriptdir}/mtx-changer ${DESTDIR}${scriptdir}/mtx-changer.old; \
+@@ -53,14 +53,14 @@
+ 	   $(MV) -f ${DESTDIR}${scriptdir}/dvd-handler ${DESTDIR}${scriptdir}/dvd-handler.old; \
+ 	fi
+ 	$(INSTALL_SCRIPT) dvd-handler $(DESTDIR)$(scriptdir)/dvd-handler
+-	$(INSTALL_DATA)   btraceback.gdb $(DESTDIR)$(scriptdir)/btraceback.gdb
+-	$(INSTALL_DATA)   btraceback.dbx $(DESTDIR)$(scriptdir)/btraceback.dbx
+-	chmod 0644 $(DESTDIR)$(scriptdir)/btraceback.gdb \
+-		   $(DESTDIR)$(scriptdir)/btraceback.dbx
+-	$(INSTALL_SCRIPT) btraceback $(DESTDIR)$(sbindir)/btraceback
+-	gzip <bacula.man >bacula.8.gz
+-	$(INSTALL_DATA)   bacula.8.gz $(DESTDIR)$(mandir)/bacula.8.gz
+-	@rm -f bacula.8.gz
++#	$(INSTALL_DATA)   btraceback.gdb $(DESTDIR)$(scriptdir)/btraceback.gdb
++#	$(INSTALL_DATA)   btraceback.dbx $(DESTDIR)$(scriptdir)/btraceback.dbx
++#	chmod 0644 $(DESTDIR)$(scriptdir)/btraceback.gdb \
++#		   $(DESTDIR)$(scriptdir)/btraceback.dbx
++#	$(INSTALL_SCRIPT) btraceback $(DESTDIR)$(sbindir)/btraceback
++#	gzip <bacula.man >bacula.8.gz
++	$(INSTALL_DATA)   bacula.man $(DESTDIR)$(mandir)/bacula.8
++#	@rm -f bacula.8.gz
+
+
+ uninstall:
+@@ -68,7 +68,7 @@
+ 	(cd $(DESTDIR)$(scriptdir); $(RMF) stopmysql)
+ 	(cd $(DESTDIR)$(scriptdir); $(RMF) bconsole)
+ 	(cd $(DESTDIR)$(scriptdir); $(RMF) gconsole)
+-	(cd $(DESTDIR)$(scriptdir); $(RMF) bacula)
++	(cd $(DESTDIR)$(scriptdir); $(RMF) z-bacula.sh)
+ 	(cd $(DESTDIR)$(scriptdir); $(RMF) fd)
+ 	(cd $(DESTDIR)$(scriptdir); $(RMF) mtx-changer)
+ 	(cd $(DESTDIR)$(scriptdir); $(RMF) disk-changer)
diff -ruN bacula-server-devel/pkg-plist bacula-server-devel.mine/pkg-plist
--- bacula-server-devel/pkg-plist	Mon Mar  6 05:18:21 2006
+++ bacula-server-devel.mine/pkg-plist	Mon Mar  6 11:34:45 2006
@@ -13,6 +13,7 @@
 sbin/dbcheck
 sbin/bsmtp
 @unexec if cmp -s %D/share/bacula/mtx-changer.old %D/share/bacula/mtx-changer; then rm -f %D/share/bacula/mtx-changer.old; fi
+@unexec if cmp -s %D/share/bacula/disk-changer.old %D/share/bacula/disk-changer; then rm -f %D/share/bacula/disk-changer.old; fi
 %%DATADIR%%/mtx-changer
 %%DATADIR%%/create_bacula_database
 %%DATADIR%%/create_%%DBTYPE%%_database
@@ -29,6 +30,7 @@
 %%DATADIR%%/delete_catalog_backup
 %%DATADIR%%/make_catalog_backup
 %%DATADIR%%/dvd-handler
+%%DATADIR%%/disk-changer

 @dirrm %%DATADIR%%
 @unexec /usr/bin/killall badula-sd > /dev/null 2>&1 || true

-- 
Dan Langille - http://www.langille.org/
BSDCan - The Technical BSD Conference: http://www.bsdcan.org/
Comment 7 Renato Botelho freebsd_committer 2006-03-06 18:56:59 UTC
State Changed
From-To: feedback->open

Feedback recieved
Comment 8 Renato Botelho freebsd_committer 2006-03-15 10:24:05 UTC
State Changed
From-To: open->closed

Committed. Thanks!